Package org.stianloader.micromixin.transform.internal.selectors.constant

## Class NullConstantSelector

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.annotation.ConstantSelector
  - - org.stianloader.micromixin.transform.internal.selectors.constant.NullConstantSelector

    public class NullConstantSelector
    extends ConstantSelector

### Field Summary

Fields
`static ConstantSelector` `INSTANCE`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `matchesConstant​(org.objectweb.asm.tree.AbstractInsnNode insn)`

### Methods inherited from class org.stianloader.micromixin.transform.internal.annotation.ConstantSelector

`parse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    @NotNull
    public static final ConstantSelector INSTANCE

### Method Detail

#### matchesConstant

    public boolean matchesConstant​(@NotNull
                                   org.objectweb.asm.tree.AbstractInsnNode insn)

Specified by:
  `matchesConstant` in class `ConstantSelector`